lzma_decoder.h File Reference

LZMA decoder API. More...

`#include "common.h"`

## Functions

lzma_ret | lzma_lzma_decoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
| Allocates and initializes LZMA decoder. More...
uint64_t | lzma_lzma_decoder_memusage (const void *options)
lzma_ret | lzma_lzma_props_decode (void **options, const lzma_allocator *allocator, const uint8_t *props, size_t props_size)
bool | lzma_lzma_lclppb_decode (lzma_options_lzma *options, uint8_t byte)
| Decodes the LZMA Properties byte (lc/lp/pb) More...

## Detailed Description

LZMA decoder API.

## Function Documentation

## lzma_lzma_decoder_init()

lzma_ret lzma_lzma_decoder_init | ( | lzma_next_coder * | next,
|  | const lzma_allocator * | allocator,
|  | const lzma_filter_info * | filters
| ) |  |

Allocates and initializes LZMA decoder.

## lzma_lzma_lclppb_decode()

bool lzma_lzma_lclppb_decode | ( | lzma_options_lzma * | options,
|  | uint8_t | byte
| ) |  |

Decodes the LZMA Properties byte (lc/lp/pb)

Returns
  true if error occurred, false on success

References lzma_options_lzma::lc, lzma_options_lzma::lp, and lzma_options_lzma::pb.